Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.decision.impl
Class DefaultDecisionMaker

    java.lang.Object
      com.sun.mdm.index.decision.DecisionMaker
          com.sun.mdm.index.decision.impl.DefaultDecisionMaker

public class DefaultDecisionMaker
extends DecisionMaker

Sample decision maker which chooses the highest weighted record above a match threshold to be the assumed match record.

Constructor Summary
`DefaultDecisionMaker()` Creates a new instance of DefaultDecisionMaker.

Method Summary
`float` | `getDuplicateThreshold()`
`float` | `getMatchThreshold()` Get match threshold
`boolean` | `isOneExactMatchEnabled()` Return true if one exact match enabled
`boolean` | `isSameSystemMatchEnabled()` Return true if same system match enabled
`DecisionMakerResult` | `process(java.sql.Connection con, java.util.ArrayList list, SystemObject so)` Choose the highest weighted record above a match threshold to be the assumed match record.
`void` | `setParameter(java.lang.String parameterName, java.lang.Object value)` See DecisionMaker

Methods inherited from class com.sun.mdm.index.decision.DecisionMaker
`getMasterController, setMasterController`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDecisionMaker

    public DefaultDecisionMaker()

  Creates a new instance of DefaultDecisionMaker. Should only be called by DecisionMakerConfiguration.

Method Detail

### getDuplicateThreshold

    public float getDuplicateThreshold()
                                throws DecisionMakerException

  Description copied from class: `DecisionMaker`
  Return the potential duplicate threshold. This is a minimum comparison score cutoff such that the MasterController will not send any ScoreElements to the decision maker process function with a score lower than this.

  Specified by:
    `getDuplicateThreshold` in class `DecisionMaker`
  Returns:
    duplicate threshold
  Throws:
    `DecisionMakerException` - an error occurred
  See Also:
    `com.sun.mdm.index.decision.DecisionMaker#getDuplicateThrehsold()`

### getMatchThreshold

    public float getMatchThreshold()

  Get match threshold

  Specified by:
    `getMatchThreshold` in class `DecisionMaker`
  Returns:
    match threshold

### isOneExactMatchEnabled

    public boolean isOneExactMatchEnabled()

  Return true if one exact match enabled

  Returns:
    true or false

### isSameSystemMatchEnabled

    public boolean isSameSystemMatchEnabled()

  Return true if same system match enabled

  Returns:
    true or false

### process

    public DecisionMakerResult process(java.sql.Connection con,
                                       java.util.ArrayList list,
                                       SystemObject so)
                                throws DecisionMakerException

  Choose the highest weighted record above a match threshold to be the assumed match record. If more than one record meets this criteria and OneExactMatch is enabled, then do not select an assumed match.

  Specified by:
    `process` in class `DecisionMaker`
  Parameters:
    `list` - See DecisionMaker
    `so` - See DecisionMaker
    `con` - database connection
  Returns:
    See DecisionMaker
  Throws:
    `DecisionMakerException` - See DecisionMaker

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object value)
                      throws DecisionMakerException

  See DecisionMaker

  Specified by:
    `setParameter` in class `DecisionMaker`
  Parameters:
    `parameterName` - See DecisionMaker
    `value` - See DecisionMaker
  Throws:
    `DecisionMakerException` - See DecisionMaker
  See Also:
    `DecisionMaker.setParameter(String, Object)`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.